/*------------------------------------*\
    #SEARCH-FORM
\*------------------------------------*/
/**
 * Search form component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}search-form,
%#{$inuit-namespace}search-form {
    display: inline-block;
    height: $frs-base-unit-small;
    margin-right: 200px;
    margin-top: 5px;
    margin-bottom: 10px;
    float: left;
    padding: (.3 * $frs-base-unit-small) 0;
    vertical-align: middle;
    width:100%;
    float: left;
    padding: 0;

    @media #{$medium} {
        width:auto;
        height: $frs-base-unit;
        margin-right: 0;
        margin-top: -2px;
        margin-bottom: 0;
        padding: (.2 * $frs-base-unit) 0;
    }

    @media #{$large-up} {
        height: $frs-base-unit;
        margin-top: 1px;
        padding: (.2 * $frs-base-unit) 0;
    }
}

.#{$inuit-namespace}search-form__item,
%#{$inuit-namespace}search-form__item {
    display: inline-block;
    height: 100%;
    vertical-align: middle;
    &.search-nav {
        margin-left:5px;
        width:88%;
        @media #{$medium} {
            margin-left:0;
            width:auto;
        }
    }
}

.#{$inuit-namespace}search-form__label,
%#{$inuit-namespace}search-form__label {
    display: none;
}

.#{$inuit-namespace}search-form__field,
%#{$inuit-namespace}search-form__field {
    border: 0;
    display: inline-block;
    height: 100%;
    padding: (.02 * $frs-base-unit-small) .5em;
    vertical-align: top;
    width: $frs-base-unit * 1.5;
    width: 100%;
    border-bottom: 1px solid $frs-color-blue;
    @media #{$medium} {
        width:85px;
        border-bottom: 0 solid transparent;
    }
    @include frs-placeholder {
        color: $frs-color-blue;
        text-transform: uppercase;
    }

    &:focus {
        -webkit-appearance: none !important;
        background: $frs-color-light-beige;
    }

    @media #{$large-up} {
        padding-top: .04 * $frs-base-unit;
    }

}
@if $theme == "reloaded" {
    .#{$inuit-namespace}search-form__field,
    %#{$inuit-namespace}search-form__field {
        color: $frs-color-grey;
        @media #{$medium} {
            width:65px;
        }
        @include frs-placeholder {
            color: $frs-color-grey;
            text-transform: none;
        }
    }
    .#{$inuit-namespace}search-form,
    %#{$inuit-namespace}search-form {
        @media #{$medium} {
            margin-top: -2px;
        }
        @media #{$large-up} {
            margin-top: -5px;
        }
    }
}
.#{$inuit-namespace}search-form__submit,
%#{$inuit-namespace}search-form__submit {
    background: transparent;
    height: .6 * $frs-base-unit-small;
    width: .6 * $frs-base-unit-small;

    @media #{$large-up} {
        height: .6 * $frs-base-unit;
        width: .6 * $frs-base-unit;
    }
}

.#{$inuit-namespace}search-form__btn-text,
%#{$inuit-namespace}search-form__btn-text {
    display: none;
}

.#{$inuit-namespace}search-form__btn-img,
%#{$inuit-namespace}search-form__btn-img {
    fill: $frs-color-blue;
    height: 30px;
    padding: 0;
    margin-top:5px;

    @media #{$medium} {
        padding: 4px 0;
        margin-top:0;
    }
    @media #{$large-up} {
        padding: rem-calc(5px);
    }
}
@if $theme == "reloaded" {
    .#{$inuit-namespace}search-form__btn-img,
    %#{$inuit-namespace}search-form__btn-img {
        transform: scale(0.9);
        padding-left: 0;
        stroke: $frs-color-light-grey;
    }
}